DtSessionRestorePath(library call)

NAME
DtSessionRestorePath — get a pathname for the application's state information file

SYNOPSIS

#include &<Dt/Session.h>
Boolean DtSessionRestorePath(
Widget widget,
char **restorePath,
char *restoreFile);

DESCRIPTION

The DtSessionRestorePath function returns a pathname to an application's state information.

The widget argument is the application's top level widget. The restorePath argument is the address of the character string to receive the pathname of the application's state information file. The restoreFile argument is the filename of the file containing the application state information. This is the filename specified with the -session option at application invocation.

RETURN VALUE

Upon successful completion, the DtSessionRestorePath function returns True; otherwise, it returns False.

APPLICATION USAGE

The application must support the -session command-line option.

The application must use XtFree(3) to free data returned in *restorePath.

SEE ALSO

Dt/Session.h - DtSession(5), DtSessionSavePath(3); XtFree(3).